Name:           utop
Version:        2.1.0
Release:        2%{?dist}
Summary:        Improved toplevel for OCaml

License:        BSD
URL:            https://github.com/ocaml-community/utop
Source0:        https://github.com/ocaml-community/%{name}/releases/download/%{version}/%{name}-%{version}.tbz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lambda-term
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-dune
BuildRequires:  opam-installer

# for utop.el
BuildRequires:  emacs-common
Requires:       emacs-filesystem

Provides:       ocaml-%{name}%{?_isa} =  %{version}-%{release}

%description
utop is an improved toplevel (i.e., Read-Eval-Print Loop) for
OCaml. It can run in a terminal or in Emacs. It supports line
editing, history, real-time and context sensitive completion,
colors, and more.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       ocaml-%{name}-devel%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%global debug_package %{nil}

%prep
%autosetup

%build
dune build --verbose \
    --for-release-of-packages=%{name} \
    %{?_smp_mflags}

%install
dune install --verbose \
    --for-release-of-packages=%{name} \
    --destdir=%{buildroot} \
    --libdir=%{_libdir}/ocaml

mkdir -p %{buildroot}%{_mandir}/man{1,5}
mv %{buildroot}%{_prefix}/man/man1/*.1 %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_prefix}/man/man5/*.5 %{buildroot}%{_mandir}/man5

rm -f %{buildroot}/usr/doc/%{name}/{LICENSE,CHANGES.md,README.md}

%files
%license LICENSE
%doc README.md CHANGES.md
%{_bindir}/%{name}*
%{_libdir}/ocaml/%{name}
%{_mandir}/man1/%{name}*
%{_mandir}/man5/%{name}*
%{_emacs_sitelispdir}/%{name}.el
%{_datadir}/%{name}
%exclude %{_libdir}/ocaml/%{name}/*.mli

%files devel
%license LICENSE
%doc README.md CHANGES.md
%{_libdir}/ocaml/%{name}/*.mli


%changelog
* Thu May 09 2019 Sergey Avseyev <sergey.avseyev@gmail.com> - 2.1.0-2
- Update build scripts

* Mon Mar 05 2018 Sergey Avseyev <sergey.avseyev@gmail.com> 2.1.0-1
- Initial packaging.
